XF 2.2 Call to protected method XF\App::initialize()

Bobsilvio

Member
I would like to upgrade to xenforo 2.x The problem is that with 1.x I used XenApi, and created many projects and software based on XenApi. these bees are no longer up to date and perhaps they are abandoned.
I absolutely cannot use other APIs for now, I would lose compatibility with older versions of software.
I saw that there are these APIs: https://github.com/cadox8/XenAPI/blob/3035f0c1afb6e9dc7493c97da9ecfd5026b98ba3/Web-API/api-2.0.php But in use I have this error:

Server error log
  • Error: Call to protected method XF\App::initialize() from context 'XenAPI'
  • api.php:3329
  • Generated by: Unknown account
  • Nov 13, 2020 at 11:12 AM

Stack trace​

#0 api.php(232): XenAPI->__construct()
#1 api.php(20): RestAPI->__construct('K7iIb2D8qDtRDCa...')
#2 {main}

Request state​

array(4) {
["url"] => string(73) "/boardnew/api.php?action=authenticate&username=Bobo&password=xxxxxxxx."
["referrer"] => bool(false)
["_GET"] => array(3) {
["action"] => string(12) "authenticate"
["username"] => string(4) "Bobo"
["password"] => string(11) "xxxxxxxx."
}
["_POST"] => array(0) {
}
}
 
Top